image: docker

services:
 - docker:dind

before_script:
 - export
 - docker login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} registry.gitlab.com

stages:
 - build
 - test

build:
 script:
  - docker pull registry.gitlab.com/belokonev.al.se/testprojekt:latest
  - docker build -t registry.gitlab.com/belokonev.al.se/testprojekt:${CI_COMMIT_SHORT_SHA} -t registry.gitlab.com/belokonev.al.se/testprojekt:latest . --cache-from registry.gitlab.com/belokonev.al.se/testprojekt:latest
  - docker push registry.gitlab.com/belokonev.al.se/testprojekt:${CI_COMMIT_SHORT_SHA}
  - docker push registry.gitlab.com/belokonev.al.se/testprojekt:latest 

test:
 script:
  - echo test
